ServerEvents.recipes(e=> {

    e.replaceInput({mod:'ae2'}, 'minecraft:copper_ingot', 'nwtc:alumite_ingot')
    e.replaceInput({mod:'ae2'}, 'minecraft:iron_ingot', 'nwtc:red_aurum_ingot')
    e.replaceInput({mod:'ae2'}, 'minecraft:redstone', '#immersiveengineering:circuits/pcb')
    e.replaceInput({mod:'ae2'}, 'minecraft:glowstone_dust', 'enderio:clayed_glowstone')
    e.replaceInput({mod:'ae2'}, 'minecraft:diamond', 'create_new_age:overcharged_diamond')

    //硅
    e.shapeless('ae2:silicon', 
    [ 
        '#forge:silicon',
    ])
    e.remove({ output: 'appmek:chemical_cell_housing'})
    e.shapeless('appmek:chemical_cell_housing', 
    [ 
        'ae2:item_cell_housing',
    ])
    e.remove({ output: 'ae2:tiny_tnt'})
    e.shapeless('2x ae2:tiny_tnt', 
    [ 
        'minecraft:tnt_minecart',
        'ae2:fluix_dust',
    ])




    

})